import { defineNuxtModule, createResolver, addComponent, addImports, addTypeTemplate } from '@nuxt/kit';

const module = defineNuxtModule({
  meta: {
    name: "nuxt-codemirror",
    configKey: "nuxtCodemirror"
  },
  // Default configuration options of the Nuxt module
  defaults: {},
  setup(_options, _nuxt) {
    const { resolve } = createResolver(import.meta.url);
    addComponent({
      name: "NuxtCodeMirror",
      filePath: resolve("./runtime/components/NuxtCodeMirror.vue")
    });
    addImports({
      name: "useNuxtCodeMirror",
      as: "useNuxtCodeMirror",
      from: resolve("./runtime/composables/useNuxtCodeMirror.ts")
    });
    addTypeTemplate({
      filename: "../runtime/types/nuxt-codemirror.d.ts",
      src: resolve("./runtime/types/nuxt-codemirror.d.ts")
    });
  }
});

export { module as default };
